import request from '@/utils/request'

// 获取团队管理列表数据
export function getTeamLists(params) {
  return request({
    url: 'api/deptteam/getlistbypage',
    method: 'get',
    params
  })
}

// 获取团队管理详情数据
export function getTeamDetail(id) {
  return request({
    url: 'api/deptteam/getdetails',
    method: 'get',
    params: {
      id
    }
  })
}

// 添加团队管理数据
export function addTeam(data) {
  return request({
    url: 'api/deptteam/add',
    method: 'post',
    data
  })
}

// 编辑团队信息数据
export function editTeam(data) {
  return request({
    url: 'api/deptteam/update',
    method: 'post',
    data
  })
}

// 删除团队信息数据
export function deleteTeam(ids) {
  return request({
    url: 'api/deptteam/delete',
    method: 'post',
    data: {
      ids
    }
  })
}
// 获取职位数据
export function getPositionData(params) {
    return request({
      url: 'api/position/getlistdrop',
      method: 'get',
      params
    })
  }
